Subject: [nmrg] Monday morning in Pittsburgh
From: Juergen Schoenwaelder <[email-masked]>
To: Network Management Research Group <[email-masked]>
Date: Fri, 28 Jul 2000 10:19:52 +0200

I will be at the message board at 8:30 on Monday morning waiting for
people who want to have breakfast together.

/js

Date: Wed, 26 Jul 2000 19:03:21 +0200
From: Juergen Schoenwaelder <[email-masked]>
To: Network Management Research Group <[email-masked]>
Subject: [nmrg] Pittsburgh
Sender: [email-masked]
Status: O
Content-Length: 500
Lines: 13

I would like to organize an informal NMRG meeting in Pittsburgh in
order to chat a bit about what we have done so far, where we want to
go and which road to take. In fact, I would like to discuss things as
early as possible since I am going to present at the IETF plenary. So
my proposal is to get together during breakfast on Monday morning in
order to chat and to make plans for the rest of the IETF week. I will
be around on Sunday evening in case some of you are already there.

Comments?

/js

Date: Mon, 24 Jul 2000 13:18:34 +0200
From: Juergen Schoenwaelder <[email-masked]>
To: [email-masked]
CC: [email-masked], [email-masked]
Subject: Re: [nmrg] smi xml document
Sender: [email-masked]
Status: O
Content-Length: 1270
Lines: 36

>>>>> J P Martin-Flatin writes:

JP> Juergen and Frank,

JP> I finally had the time to look at your DTD in more detail. Good
JP> job!  I have three questions:

JP> 1) Why did you create the TEXT entity instead of using #PCDATA
JP> directly, as people usually do?

JP> 2) Does the VALUE entity add anything significant? I'm not sure.

I will answer both question together. The reason for introducing these
"intermediate" definitions is that there are additional constraints
(e.g. how do you represent numbers) for things like TEXTs or VALUEs.
It is not possible to describe all these constraints formally in
XML. By introducing these "intermediate" "productions", we give things
a name and we can use these names to say somewhere in the text
surrounding the XML definitions what TEXT or VALUE really means. And
this hopefully adds clarity to the specification.

JP> 3) What would your DTD look like if you decided to drop support
JP> for SMIng?

Dropping SMIng? You are kidding. ;-)

/js

-- 
Juergen Schoenwaelder      Technical University Braunschweig
<[email-masked]>  Dept. Operating Systems & Computer Networks
Phone: +49 531 391 3289    Bueltenweg 74/75, 38106 Braunschweig, Germany
Fax:   +49 531 391 5936    <URL:http://www.ibr.cs.tu-bs.de/~schoenw/>

Date: Mon, 17 Jul 2000 11:28:15 +0200
From: Luca Deri <[email-masked]>
Reply-To: [email-masked]
Organization: Finsiel S.p.A.
To: Network Management Research Group <[email-masked]>
Subject: [nmrg] RMON Agent Development
Sender: [email-masked]
Status: O
Content-Length: 1262
Lines: 31

Hi all,
I apologise for this mail that's somehow off topic.

A couple of years ago I started a project named ntop
(http://www.ntop.org). ntop is a Unix/Win32 traffic monitoring
application that allows people to view traffic statistics via web.

Last month I've been contacted by Terena (http://www.terena.nl): they
asked me whether I was interested in getting some money (about 20,000
Euro they said) for further developing ntop.

It's a while I'm thinking to write an RMON 1-2 agent to put on the
Internet under GPL (please note that the only freely available RMON
agent [btng] is no longer supported). I believe the ntop engine could be
used for getting traffic info, whereas UCD SNMP (or CMU) SNMP) could be
used for the SNMP side. 

Terena (and me) would be happier is they can fund an internation project
instead of a national project. If any of you is interested in this
project, please contact me as I have to send Terena the project proposal
by the end of this month.

Thanks in advance, Luca

-- 
Luca Deri		 Finsiel S.p.A.
Via Matteucci 34/B	 56124 Pisa, Italy.
Ph. +39/050/968.639      Fax. +39/050/968.626
Email: [email-masked] WWW: http://www.tlcpi.finsiel.it/~deri/
ICQ: 68183632
Software is about stuff, about getting hands dirty - Jim Coplien

Date: Mon, 10 Jul 2000 13:05:14 +0200
From: Ron Sprenkels <[email-masked]>
Organization: University of Twente
To: Juergen Schoenwaelder <[email-masked]>
CC: Network Management Research Group <[email-masked]>
Subject: Re: [nmrg] NMRG meeting in Pittsburgh?
Sender: [email-masked]
Status: O
Content-Length: 598
Lines: 16

Hi Juergen,

> I would like to know how many on this list happen to be at the
> upcoming IETF in Pittsburgh and whether there is interest to hold an
> official "work meeting" - which is different from just having a nice
> dinner together. Please drop me a note.

I won't be in Pittsburgh.

Ron.

--------------------------------------------------------------------------
Ron Sprenkels  [email-masked]   http://www.cs.utwente.nl/~sprenkel
University of Twente, Department of Computer Science, TSS Management group 
P.O. Box 217, 7500 AE Enschede, The Netherlands.    (Tel. +31 53 489 4663)

From: "Wijnen, Bert (Bert)" <[email-masked]>
To: Juergen Schoenwaelder <[email-masked]>
Cc: Network Management Research Group <[email-masked]>
Subject: RE: [nmrg] NMRG meeting in Pittsburgh?
Date: Mon, 10 Jul 2000 12:45:55 +0200
Sender: [email-masked]
Status: O
Content-Length: 690
Lines: 19

If I am not tied up in other IETF related meetings, then I will attend

Bert

> Juergen Schoenwaelder wrote:
> > 
> > I would like to know how many on this list happen to be at the
> > upcoming IETF in Pittsburgh and whether there is interest to hold an
> > official "work meeting" - which is different from just having a nice
> > dinner together. Please drop me a note.
> > 
> > /js
> > 
> > --
> > Juergen Schoenwaelder      Technical University Braunschweig
> > <[email-masked]>  Dept. Operating Systems & Computer Networks
> > Phone: +49 531 391 3289    Bueltenweg 74/75, 38106 Braunschweig, Germany
> > Fax:   +49 531 391 5936    <URL:http://www.ibr.cs.tu-bs.de/~schoenw/>
> 

From: "J.P. Martin-Flatin" <[email-masked]>
To: Network Management Research Group <[email-masked]>
Cc: "J.P. Martin-Flatin" <[email-masked]>
Reply-To: "J.P. Martin-Flatin" <[email-masked]>
Subject: Re: [nmrg] smi xml document 
Date: Sat, 08 Jul 2000 07:09:32 +0200
Sender: [email-masked]
Status: O
Content-Length: 1406
Lines: 37

Juergen and Frank,

I finally had the time to look at your DTD in more detail. Good job!
I have three questions:

1) Why did you create the TEXT entity instead of using #PCDATA
   directly, as people usually do?

2) Does the VALUE entity add anything significant? I'm not sure.

3) What would your DTD look like if you decided to drop support for
   SMIng?

Jean-Philippe

On Thu, 22 Jun 2000 15:57:27 +0200, Juergen Schoenwaelder wrote:
> 
> Frank and I have written a document (basically the DTD) on how to
> represent SMI MIB module definitions in XML. This DTD basically
> documents the XML output generated by our smidump utility in a format
> DTD. There is much more work needed on the document to define things
> that are hard to describe in an XML DTD. For example, there is no way
> to describe how e.g. a date or a default value looks like in a DTD.
> 
> I believe that the grammar is a good starting point and since I know
> that people are using XML representations of SMI MIB modules, we may
> benefit from finding agreement on a single DTD.
> 
> Any comments on the DTD and the approach taken are highly welcomed. I
> also think that folks in Twente had an XML processor to generate HTML
> pages for SMI modules. Would be nice if you can tell us whether this
> DTD works just fine (with a few minor modifications to your processor)
> or whether there are serious problems with it.
> 
> /js

Date: Sat, 8 Jul 2000 00:25:04 +0200
From: Juergen Schoenwaelder <[email-masked]>
To: [email-masked]
CC: [email-masked], Network Management Research Group <[email-masked]>
Subject: [nmrg] Re: IETF plenary talk
Sender: [email-masked]
Status: O
Content-Length: 1016
Lines: 28

>>>>> Erik Huizer writes:

Erik> I have an understanding with the IETF chair that the IRTF will
Erik> try to fill at least one slot at the IETF plenary meetings
Erik> presenting the work of a RG.

Erik> In Pittsburgh the AAAARG RG will present their work.

Erik> I understood there is still room in the program for one more
Erik> presentation.  Is there any other RG that wants to make a
Erik> presentation?

There will be discussions in Pittsburgh about moving work items from
the NMRG into the relevant IETF working groups. Given this background,
I could use the opportunity to make a larger audience aware of the
NMRG, what it is working on and how results produced by the NMRG (may)
impact work in some IETF working groups.

/js

-- 
Juergen Schoenwaelder      Technical University Braunschweig
<[email-masked]>  Dept. Operating Systems & Computer Networks
Phone: +49 531 391 3289    Bueltenweg 74/75, 38106 Braunschweig, Germany
Fax:   +49 531 391 5936    <URL:http://www.ibr.cs.tu-bs.de/~schoenw/>

Date: Wed, 05 Jul 2000 10:36:50 +0200
From: Aiko Pras <[email-masked]>
To: Juergen Schoenwaelder <[email-masked]>
CC: Network Management Research Group <[email-masked]>
Subject: Re: [nmrg] NMRG meeting in Pittsburgh?
Sender: [email-masked]
Status: O
Content-Length: 645
Lines: 22

Hi

I do not expect anyone from Twente going there.

Bye

Aiko

Juergen Schoenwaelder wrote:
> 
> I would like to know how many on this list happen to be at the
> upcoming IETF in Pittsburgh and whether there is interest to hold an
> official "work meeting" - which is different from just having a nice
> dinner together. Please drop me a note.
> 
> /js
> 
> --
> Juergen Schoenwaelder      Technical University Braunschweig
> <[email-masked]>  Dept. Operating Systems & Computer Networks
> Phone: +49 531 391 3289    Bueltenweg 74/75, 38106 Braunschweig, Germany
> Fax:   +49 531 391 5936    <URL:http://www.ibr.cs.tu-bs.de/~schoenw/>

Date: Mon, 3 Jul 2000 16:51:47 +0200
From: Juergen Schoenwaelder <[email-masked]>
To: Network Management Research Group <[email-masked]>
Subject: [nmrg] NMRG meeting in Pittsburgh?
Sender: [email-masked]
Status: O
Content-Length: 529
Lines: 15

I would like to know how many on this list happen to be at the
upcoming IETF in Pittsburgh and whether there is interest to hold an
official "work meeting" - which is different from just having a nice
dinner together. Please drop me a note.

/js

-- 
Juergen Schoenwaelder      Technical University Braunschweig
<[email-masked]>  Dept. Operating Systems & Computer Networks
Phone: +49 531 391 3289    Bueltenweg 74/75, 38106 Braunschweig, Germany
Fax:   +49 531 391 5936    <URL:http://www.ibr.cs.tu-bs.de/~schoenw/>